curl --request POST \
--url https://api.select.dev/api/{organization_id}/teams \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"is_all_users": true,
"default_member_role": "editor"
}
'import requests
url = "https://api.select.dev/api/{organization_id}/teams"
payload = {
"name": "<string>",
"is_all_users": True,
"default_member_role": "editor"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', is_all_users: true, default_member_role: 'editor'})
};
fetch('https://api.select.dev/api/{organization_id}/teams', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"is_all_users": true,
"default_member_role": "admin",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Create a team
Create a new team within an organization. The team will be created without any members or roles initially. Use the dedicated member and role endpoints to add members and roles to the team.
POST /teams in the
v2 API instead.Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
The team configuration to create.
The name of the team.
Whether this is the special 'all users' team that automatically includes all organization members
Default role assigned to new members when they are added to the team
admin, editor, viewer Response
Successful Response
Basic team information returned by public API.
The unique identifier of the team
The name of the team
Whether this is the special 'all users' team that automatically includes all organization members
Default role assigned to new members when they are added to the team
admin, editor, viewer When the team was created
When the team was last updated

